%global repo util-dfm

Name:           deepin-util-dfm
Version:        1.2.23
Release:        %autorelease
Summary:        Utilities of deepin file manager
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/util-dfm
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(libmediainfo)
BuildRequires:  pkgconfig(libisoburn-1)

%description
A Toolkit of libdfm-io, libdfm-mount and libdfm-burn, developed by UnionTech
Software Technology Co., Ltd.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}
# use Fedora build flags
sed -i 's/-O0//; s/-O3//' \
    src/dfm-io/CMakeLists.txt \
    src/dfm-burn/CMakeLists.txt

%build
%cmake \
    -GNinja \
    -DPROJECT_VERSION=%{version} \
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libdfm-burn.so.0
%{_libdir}/libdfm-burn.so.1.0.0
%{_libdir}/libdfm-io.so.0
%{_libdir}/libdfm-io.so.1.0.0
%{_libdir}/libdfm-mount.so.0
%{_libdir}/libdfm-mount.so.1.0.0

%files devel
%{_includedir}/dfm-burn/dfm-burn/
%{_includedir}/dfm-io/dfm-io/
%{_includedir}/dfm-mount/dfm-mount/
%{_libdir}/cmake/dfm-burn/
%{_libdir}/cmake/dfm-io/
%{_libdir}/cmake/dfm-mount/
%{_libdir}/libdfm-burn.so
%{_libdir}/libdfm-io.so
%{_libdir}/libdfm-mount.so
%{_libdir}/pkgconfig/dfm-burn.pc
%{_libdir}/pkgconfig/dfm-io.pc
%{_libdir}/pkgconfig/dfm-mount.pc

%changelog
%autochangelog
